
%define realname   POE-Test-Loops
%define version    1.005
%define release    %mkrel 1

Name:       perl-%{realname}
Version:    %{version}
Release:    %{release}
License:    GPL or Artistic
Group:      Development/Perl
Summary:    Reusable tests for POE::Loop authors
Source:     http://www.cpan.org/modules/by-module/POE/%{realname}-%{version}.tar.gz
Url:        http://search.cpan.org/dist/%{realname}
BuildRoot:  %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: perl-devel
BuildRequires: perl(Test::More)

BuildArch: noarch

%description
POE::Test::Loops contains one function, generate(), which will generate all
the loop tests for one or more POE::Loop subclasses.

The the /SYNOPSIS manpage example is a version of the poe-gen-tests
manpage, which is a stand-alone utility to generate the actual tests. the
poe-gen-tests manpage also documents the POE::Test::Loops system in more
detail.



%prep
%setup -q -n %{realname}-%{version} 

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
make test

%install
rm -rf %buildroot
%makeinstall_std

%clean
rm -rf %buildroot

%files
%defattr(-,root,root)
%doc CHANGES README
%{_mandir}/man3/*
%perl_vendorlib/*
/usr/bin/poe-gen-tests
/usr/share/man/man1/poe-gen-tests.1.lzma



%changelog
* Mon Mar 09 2009 Jérôme Quelin <jquelin@mandriva.org> 1.005-1mdv2009.1
+ Revision: 353094
- update to new version 1.005

* Sun Mar 08 2009 Jérôme Quelin <jquelin@mandriva.org> 1.004-1mdv2009.1
+ Revision: 352843
- update to new version 1.004

* Sat Jan 31 2009 Jérôme Quelin <jquelin@mandriva.org> 1.003-1mdv2009.1
+ Revision: 335706
- update to new version 1.003

* Mon Jan 19 2009 Jérôme Quelin <jquelin@mandriva.org> 1.002-1mdv2009.1
+ Revision: 331235
- import perl-POE-Test-Loops


* Mon Jan 19 2009 cpan2dist 1.002-1mdv
- initial mdv release, generated with cpan2dist

